<template>
  <div>
    <div class="headline">
      <div class="basics">问题配置</div>
      <div class="headbottom">
        <el-button type="primary" icon="el-icon-notebook-2" @click="addzbiaofn"
          >健康信息模板</el-button
        >
        <el-button @click="emptyfn" type="primary" icon="el-icon-refresh-right"
          >清空短信内容</el-button
        >
      </div>
    </div>
    <div class="top-text">
      <el-input
        :rows="5"
        placeholder="请输入短信内容或利用模板进行编辑"
        type="textarea"
        v-model="form.desc"
      ></el-input>
    </div>
    <div class="headline">
      <div class="basics">
        接收短信号码<span>注：手机号码用英文符号 ';' 分隔开！</span>
      </div>
      <div class="headbottom">
        <el-button type="primary" icon="el-icon-phone" @click="selectphp"
          >选泽号码</el-button
        >
        <el-button
          type="primary"
          icon="el-icon-refresh-right
"
          >清空号码</el-button
        >
      </div>
    </div>
    <div class="top-text">
      <el-input
        :rows="5"
        placeholder="请输入"
        type="textarea"
        v-model="form.desc"
      ></el-input>
    </div>
    <div class="headlinetwo">
      <div class="basics">
        <el-checkbox v-model="form.checked">预约发送</el-checkbox>
      </div>
      <div class="headbottom">
        <el-button
          type="warning"
          plain
          icon="el-icon-arrow-left"
          @click="addzbiao"
          >返回短信列表</el-button
        >
        <el-button type="success" plain icon="el-icon-position">发送</el-button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      optionvalue: "不需要、没有、不知道",
      form: {
        name: "",
        region: "",
        date1: "",
        date2: "",
        delivery: false,
        type: [],
        resource: "",
        desc: "",
      },
      deployList: [
        {
          id: 1,
          name: "有",
          valuetop:
            "(?!.*忘|.*不|.*没)^.*(是|有|对|做|作|检|查|复诊|好|参加|复诊|去(过|好|了|完|医院)|来(过|了|医院))|没错|对呀|可能|(已经|早)去了|开了药|腰带|吊带|要的|(?<!没)有的|表带,10;要,5",
        },
        {
          id: 2,
          name: "不知道",
          valuetop:
            "(不|没|谁|鬼|怎么).*(病|可能|知道|了解|清楚|懂|明白|确认|确定|晓得|知晓|认得|识得|印象|熟悉|记|会|关心|关注|注意|告诉|通知|听)",
        },
      ],
    };
  },

  created() {},

  methods: {
    onSubmit() {
      console.log("submit!");
    },
    deletei(index) {
      console.log(index);
      this.deployList.splice(index, 1);
    },
    addzbiao() {
      this.$router.go(-1);
    },
  },
};
</script>

<style lang="scss" scoped>
.top-text {
  margin: 15px;
  margin-top: 0;
  padding: 10px;
  background: #f2f5fc;
  border: 1px solid #dcdfe6;
  -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12),
    0 0 6px 0 rgba(0, 0, 0, 0.04);
}
.basic {
  height: 50px;
  margin: 15px;
  margin-bottom: 0;
  padding: 0 20px 20px 20px;
  line-height: 50px;
  background: #92c5f0;
}
.headline {
  display: flex;
  height: 50px;
  margin: 15px;
  margin-bottom: 0;
  padding: 0 20px 20px 20px;
  line-height: 50px;
  background: #92c5f0;
  justify-content: space-between;
  span {
    margin-left: 20px;
    color: #fa3a3a;
    font-weight: 600;
  }
}
.headlinetwo {
  display: flex;
  height: 50px;
  margin: 15px;
  margin-bottom: 0;
  padding: 0 20px 20px 20px;
  line-height: 50px;
  justify-content: space-between;
}
</style>
